# HG changeset patch
# Node ID 37bffc7c62e5
# Parent  46a289816176
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -877,6 +877,7 @@
 		* pidgin_dialog_get_vbox_with_properties
 		* pidgin_dialogs_alias_contact
 		* pidgin_dialogs_log
+		* pidgin_get_dim_grey_string
 		* PIDGIN_ICON_SIZE_*
 		* PIDGIN_ICON_THEME
 		* PIDGIN_ICON_THEME_CLASS
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -2666,12 +2666,11 @@
 			unaliased_esc = unaliased ? g_markup_escape_text(unaliased, -1) : NULL;
 			title_esc = g_markup_escape_text(title, -1);
 
-			markup = g_strdup_printf("%s%s<span size='smaller'>%s</span>%s<span color='%s' size='smaller'>%s</span>",
+			markup = g_strdup_printf("%s%s<span size='smaller'>%s</span>%s<span size='smaller'>%s</span>",
 						title_esc,
 						unaliased_esc ? " " : "",
 						unaliased_esc ? unaliased_esc : "",
 						topic_esc  && *topic_esc ? "\n" : "",
-						pidgin_get_dim_grey_string(gtkconv->infopane),
 						topic_esc ? topic_esc : "");
 
 			g_free(title_esc);
diff --git a/pidgin/gtkstatusbox.c b/pidgin/gtkstatusbox.c
--- a/pidgin/gtkstatusbox.c
+++ b/pidgin/gtkstatusbox.c
@@ -433,7 +433,6 @@
 static void
 pidgin_status_box_refresh(PidginStatusBox *status_box)
 {
-	const char *aa_color;
 	PurpleSavedStatus *saved_status;
 	char *primary, *secondary, *text;
 	const char *icon_name = NULL;
@@ -493,15 +492,14 @@
 		icon_name = pidgin_icon_name_from_status_primitive(prim, "user-offline");
 	}
 
-	aa_color = pidgin_get_dim_grey_string(GTK_WIDGET(status_box));
 	if (status_box->account != NULL) {
-		text = g_strdup_printf("%s - <span size=\"smaller\" color=\"%s\">%s</span>",
+		text = g_strdup_printf("%s - <span size=\"smaller\">%s</span>",
 				       purple_account_get_username(status_box->account),
-				       aa_color, secondary ? secondary : primary);
+				       secondary ? secondary : primary);
 		emblem = pidgin_create_protocol_icon(status_box->account, PIDGIN_PROTOCOL_ICON_SMALL);
 	} else if (secondary != NULL) {
-		text = g_strdup_printf("%s<span size=\"smaller\" color=\"%s\"> - %s</span>",
-				       primary, aa_color, secondary);
+		text = g_strdup_printf("%s<span size=\"smaller\"> - %s</span>",
+				       primary, secondary);
 	} else {
 		text = g_strdup(primary);
 	}
@@ -1599,16 +1597,12 @@
 	}
 	else
 	{
-		const char *aa_color;
 		gchar *escaped_title, *escaped_desc;
 
-		aa_color = pidgin_get_dim_grey_string(GTK_WIDGET(status_box));
-
 		escaped_title = g_markup_escape_text(title, -1);
 		escaped_desc = g_markup_escape_text(desc, -1);
-		text = g_strdup_printf("%s - <span color=\"%s\" size=\"smaller\">%s</span>",
-					escaped_title,
-				       aa_color, escaped_desc);
+		text = g_strdup_printf("%s - <span size=\"smaller\">%s</span>",
+		                       escaped_title, escaped_desc);
 		g_free(escaped_title);
 		g_free(escaped_desc);
 	}
diff --git a/pidgin/gtkutils.h b/pidgin/gtkutils.h
--- a/pidgin/gtkutils.h
+++ b/pidgin/gtkutils.h
@@ -364,17 +364,6 @@
 			const gchar *key, GtkTreeIter *iter, gpointer data);
 
 /**
- * pidgin_get_dim_grey_string:
- * @widget:  The widget to return dim grey for
- *
- * Returns an HTML-style color string for use as a dim grey
- * string
- *
- * Returns: The dim grey string
- */
-const char *pidgin_get_dim_grey_string(GtkWidget *widget);
-
-/**
  * pidgin_text_combo_box_entry_new:
  * @default_item: Initial contents of GtkEntry
  * @items: (element-type utf8): GList containing strings to add to GtkComboBox
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -1712,30 +1712,6 @@
 	return result;
 }
 
-const char *pidgin_get_dim_grey_string(GtkWidget *widget) {
-	static char dim_grey_string[8] = "";
-	GtkStyleContext *context;
-	GdkRGBA fg, bg;
-
-	if (!widget)
-		return "dim grey";
-
-	context = gtk_widget_get_style_context(widget);
-	if (!context)
-		return "dim grey";
-
-	gtk_style_context_get_color(context, gtk_style_context_get_state(context),
-	                            &fg);
-	gtk_style_context_get_background_color(context,
-	                                       gtk_style_context_get_state(context),
-	                                       &bg);
-	g_snprintf(dim_grey_string, sizeof(dim_grey_string), "#%02x%02x%02x",
-	           (unsigned int)((fg.red + bg.red) * 0.5 * 255),
-	           (unsigned int)((fg.green + bg.green) * 0.5 * 255),
-	           (unsigned int)((fg.blue + bg.blue) * 0.5 * 255));
-	return dim_grey_string;
-}
-
 static void
 combo_box_changed_cb(GtkComboBoxText *combo_box, GtkEntry *entry)
 {
